> ## Documentation Index
> Fetch the complete documentation index at: https://novita.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Job



## OpenAPI

````yaml api-reference/gpus-v2-spec/get-job.json GET /gpus/v2/jobs/{job_id}
openapi: 3.0.0
info:
  title: Novita GPU API v2
  version: 2.0.0
servers:
  - url: https://api.novita.ai
security: []
paths:
  /gpus/v2/jobs/{job_id}:
    get:
      summary: Get Job
      parameters:
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
          description: 'Bearer authentication format, e.g.: `Bearer {{API_KEY}}`.'
        - name: job_id
          in: path
          required: true
          schema:
            type: string
          description: 'Job ID. String, length: 1-255 characters.'
          example: job-id
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: Job ID
                    example: job-id
                  type:
                    type: string
                    description: Job type
                    example: saveImage
                  envs:
                    type: array
                    items:
                      type: string
                    description: Job environment variables
                    example: []
                  status:
                    type: object
                    description: Job status
                    properties:
                      status:
                        type: string
                        description: Status value
                        example: Succeeded
                      error:
                        type: string
                        description: Error code or error type
                        example: ''
                      message:
                        type: string
                        description: Error message
                        example: ''
                  log:
                    type: string
                    description: Job log endpoint
                    example:
                      endpoint: https://example.com/logs/job-id
                  created_at:
                    type: integer
                    description: Creation time. Unix timestamp
                    example: 1714982400
                  member_id:
                    type: string
                    description: >-
                      Creator member ID. Same semantics as the legacy `creator`
                      field
                    example: member-id
                  owner_id:
                    type: string
                    description: Owner user UUID. Same semantics as the legacy `uuid` field
                    example: owner-id
                  deleted_time:
                    type: integer
                    description: Deletion time. Unix timestamp
                    example: 0
                  update_at:
                    type: integer
                    description: Update time. Same semantics as v1, Unix timestamp
                    example: 1714982600
                  instance_id:
                    type: string
                    description: Associated instance ID
                    example: instance-id

````